@import url('https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300..800;1,300..800&display=swap');

/* Botão do WhatsApp */
@-webkit-keyframes weein-wl-whatsapp-button--pulse {
    0% {
        -webkit-transform: scale(0.7);
                transform: scale(0.7);
        opacity: 1
    }

    100% {
        -webkit-transform: scale(1.4);
                transform: scale(1.4);
        opacity: 0
    }
}
@keyframes weein-wl-whatsapp-button--pulse {
    0% {
        -webkit-transform: scale(0.7);
                transform: scale(0.7);
        opacity: 1
    }

    100% {
        -webkit-transform: scale(1.4);
                transform: scale(1.4);
        opacity: 0
    }
}
.weein-wl-whatsapp-button {
    position: fixed;
    right: 0;
    bottom: 0;
    margin: 20px;
    z-index: 9999999;
}
.weein-wl-whatsapp-button a {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    text-decoration: none;
}
.weein-wl-whatsapp-button__icon {
    position: relative;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    width: 48px;
    height: 48px;
    border-radius: 100%;
    -webkit-box-shadow: 0px 0px 2px #000;
    box-shadow: 0px 0px 2px #000;
}
.weein-wl-whatsapp-button__icon::before {
    content: '';
    position: absolute;
    top: -4px;
    left: -4px;
    width: 56px;
    height: 56px;
    background-color: rgba(127, 203, 108, .9);
    border-radius: 500px;
    -webkit-transform: scale(0.5);
        -ms-transform: scale(0.5);
            transform: scale(0.5);
    -webkit-animation: weein-wl-whatsapp-button--pulse 1.5s infinite ease-in-out;
            animation: weein-wl-whatsapp-button--pulse 1.5s infinite ease-in-out;
    z-index: -1;
    opacity: 1;
    -webkit-transition: all 75ms cubic-bezier(0.22,0.61,0.36,1);
    -o-transition: all 75ms cubic-bezier(0.22,0.61,0.36,1);
    transition: all 75ms cubic-bezier(0.22,0.61,0.36,1);
}
.weein-wl-whatsapp-button__icon.whatsapp-color {
    background-color: #20B038;
}
.weein-wl-whatsapp-button__icon img {
    max-width: 28px;
}
.weein-wl-whatsapp-button__text {
    position: relative;
    margin-right: 12px;
    padding: 8px 12px;
    border: 1px solid #999;
    border-radius: 4px;
    background-color: #FFF;
    line-height: 1.2;
    text-align: center;
    font-family: 'Open Sans', sans-serif;
    font-weight: 400;
    font-size: 14px;
    color: #000;
}
.weein-wl-whatsapp-button__text::after {
    content: "";
    position: absolute;
    top: 50%;
    right: -5px;
    -webkit-transform: translateY(-50%) rotate(45deg);
    -ms-transform: translateY(-50%) rotate(45deg);
    transform: translateY(-50%) rotate(45deg);
    width: 8px;
    height: 8px;
    border-top: 1px solid #999;
    border-right: 1px solid #999;
    background-color: #FFF;
}
@media screen and (max-width: 767px) {
    .weein-wl-whatsapp-button__text {
        display: none;
    }
}

/* Chat do WhatsApp */
.weein-wl-whatsapp-chat {
    position: fixed;
    right: 0;
    bottom: -100%;
    width: 95%;
    margin-bottom: 90px;
    background-color: #FFF;
    -webkit-box-shadow: 0px 2px 3px -1px rgba(0, 0, 0, 0.4);
    box-shadow: 0px 2px 3px -1px rgba(0, 0, 0, 0.4);
    -webkit-transition: all 200ms;
    -o-transition: all 200ms;
    transition: all 200ms;
    z-index: 99999999;
}
.weein-wl-whatsapp-chat * {
    font-family: 'Open Sans', sans-serif;
    font-weight: 400;
}
@media screen and (min-width: 768px) {
    .weein-wl-whatsapp-chat {
        max-width: 400px;
        margin-right: 28px;
    }
}
@media screen and (max-width: 767px) {
    .weein-wl-whatsapp-chat {
        right: unset;
        left: 50%;
        -webkit-transform: translateX(-50%);
        -ms-transform: translateX(-50%);
        transform: translateX(-50%);
        margin-bottom: 10px;
    }
}
.weein-wl-whatsapp-chat--open {
    bottom: 0;
}
.weein-wl-whatsapp-chat__close {
    position: absolute;
    top: 0;
    right: 0;
    width: 34px;
    height: 34px;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    font-size: 32px;
    color: #FFF;
    cursor: pointer;
    -webkit-transition: all 200ms;
    -o-transition: all 200ms;
    transition: all 200ms;
}
.weein-wl-whatsapp-chat__close:hover {
    background-color: #097065;
    -webkit-transform: scale(1.1);
    -ms-transform: scale(1.1);
    transform: scale(1.1);
}
.weein-wl-whatsapp-chat__header {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    gap: 16px;
    padding: 16px 18px;
    background-color: #0b6156;
}
.weein-wl-whatsapp-chat__photo {
    width: 52px !important;
    height: 52px !important;
    -o-object-fit: cover;
    object-fit: cover;
    border-radius: 100%;
}
.weein-wl-whatsapp-chat__title {
    margin-bottom: 3px;
    font-weight: 600;
    font-size: 18px;
    color: #FFF;
}
.weein-wl-whatsapp-chat__subtitle {
    font-weight: 300;
    font-size: 14px;
    color: #FFF;
}
.weein-wl-whatsapp-chat__body {
    max-height: calc(75vh - 140px);
    padding: 24px 18px;
    background-image: url(../images/bg-whatsapp-weein-whatsapp-leads-ot.jpg);
    background-size: cover;
    overflow-y: auto;
}
.weein-wl-whatsapp-chat__conversation {
    margin-bottom: 28px;
}
.weein-wl-whatsapp-chat__message {
    position: relative;
    display: table;
    padding: 12px 16px;
    border-radius: 6px;
    background-color: #FFF;
    -webkit-box-shadow: -1px 1px 0px 0px #cacaca;
    box-shadow: -1px 1px 0px 0px #cacaca;
    font-size: 14px;
    color: #121212;
}
.weein-wl-whatsapp-chat__message:first-child {
    border-top-left-radius: 0;
}
.weein-wl-whatsapp-chat__message:first-child::before {
    content: "";
    position: absolute;
    top: 0;
    left: -8px;
    width: 8px;
    height: 13px;
    background: url("data:image/svg+xml;utf8,\ <svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 8 13'>\ <path d='M1.533 2.568 L8 11.193' fill='none' stroke='%23cacaca' stroke-width='3' stroke-linecap='round'/>\ <path d='M1.533,2.568L8,11.193V0L2.812,0C1.042,0,0.474,1.156,1.533,2.568z' fill='%23ffffff'/>\ </svg>") no-repeat center / contain;
}
.weein-wl-whatsapp-chat__message:not(:last-child) {
    margin-bottom: 6px;
}
@media screen and (min-width: 768px) {
    .weein-wl-whatsapp-chat__form-wrapper {
        padding-left: 32px;
    }
}
.weein-wl-whatsapp-chat__form-wrapper .wpcf7 .wpcf7-response-output {
    margin: 24px 0px 0px 0px !important;
    padding: 16px 24px !important;
    border: none !important;
    text-align: center;
    line-height: 1.2;
    font-size: 13px;
}
.weein-wl-whatsapp-chat__form-wrapper .wpcf7 form.sent .wpcf7-response-output {
    background-color: #BEDCC7;
    color: #13672A;
}
.weein-wl-whatsapp-chat__form-wrapper .wpcf7 form.failed .wpcf7-response-output,
.weein-wl-whatsapp-chat__form-wrapper .wpcf7 form.aborted .wpcf7-response-output,
.weein-wl-whatsapp-chat__form-wrapper .wpcf7 form.spam .wpcf7-response-output {
    background-color: #EDBAB5;
    color: #A3160A;
}
.weein-wl-whatsapp-chat__form-wrapper .wpcf7 form.invalid .wpcf7-response-output,
.weein-wl-whatsapp-chat__form-wrapper .wpcf7 form.unaccepted .wpcf7-response-output,
.weein-wl-whatsapp-chat__form-wrapper .wpcf7 form.payment-required .wpcf7-response-output {
    background-color: #E8D8A7;
    color: #7F4A01;
}
.weein-wl-whatsapp-chat__form-wrapper .wpcf7 input[type="text"],
.weein-wl-whatsapp-chat__form-wrapper .wpcf7 input[type="email"],
.weein-wl-whatsapp-chat__form-wrapper .wpcf7 input[type="tel"],
.weein-wl-whatsapp-chat__form-wrapper .wpcf7 input[type="url"],
.weein-wl-whatsapp-chat__form-wrapper .wpcf7 input[type="number"],
.weein-wl-whatsapp-chat__form-wrapper .wpcf7 input[type="password"],
.weein-wl-whatsapp-chat__form-wrapper .wpcf7 textarea,
.weein-wl-whatsapp-chat__form-wrapper .wpcf7 select {
    width: 100%;
    height: 44px;
    padding: 0px 16px;
    border: 1px solid #cdedcd;
    background-color: #e7ffe7;
    font-size: 14px;
    outline: none;
}
.weein-wl-whatsapp-chat__form-wrapper .wpcf7 input[type="text"]::-webkit-input-placeholder,
.weein-wl-whatsapp-chat__form-wrapper .wpcf7 input[type="email"]::-webkit-input-placeholder,
.weein-wl-whatsapp-chat__form-wrapper .wpcf7 input[type="tel"]::-webkit-input-placeholder,
.weein-wl-whatsapp-chat__form-wrapper .wpcf7 input[type="url"]::-webkit-input-placeholder,
.weein-wl-whatsapp-chat__form-wrapper .wpcf7 input[type="number"]::-webkit-input-placeholder,
.weein-wl-whatsapp-chat__form-wrapper .wpcf7 input[type="password"]::-webkit-input-placeholder,
.weein-wl-whatsapp-chat__form-wrapper .wpcf7 textarea::-webkit-input-placeholder {
    color: rgba(0, 0, 0, 0.4);
}
.weein-wl-whatsapp-chat__form-wrapper .wpcf7 input[type="text"]::-moz-placeholder,
.weein-wl-whatsapp-chat__form-wrapper .wpcf7 input[type="email"]::-moz-placeholder,
.weein-wl-whatsapp-chat__form-wrapper .wpcf7 input[type="tel"]::-moz-placeholder,
.weein-wl-whatsapp-chat__form-wrapper .wpcf7 input[type="url"]::-moz-placeholder,
.weein-wl-whatsapp-chat__form-wrapper .wpcf7 input[type="number"]::-moz-placeholder,
.weein-wl-whatsapp-chat__form-wrapper .wpcf7 input[type="password"]::-moz-placeholder,
.weein-wl-whatsapp-chat__form-wrapper .wpcf7 textarea::-moz-placeholder {
    color: rgba(0, 0, 0, 0.4);
}
.weein-wl-whatsapp-chat__form-wrapper .wpcf7 input[type="text"]:-ms-input-placeholder,
.weein-wl-whatsapp-chat__form-wrapper .wpcf7 input[type="email"]:-ms-input-placeholder,
.weein-wl-whatsapp-chat__form-wrapper .wpcf7 input[type="tel"]:-ms-input-placeholder,
.weein-wl-whatsapp-chat__form-wrapper .wpcf7 input[type="url"]:-ms-input-placeholder,
.weein-wl-whatsapp-chat__form-wrapper .wpcf7 input[type="number"]:-ms-input-placeholder,
.weein-wl-whatsapp-chat__form-wrapper .wpcf7 input[type="password"]:-ms-input-placeholder,
.weein-wl-whatsapp-chat__form-wrapper .wpcf7 textarea:-ms-input-placeholder {
    color: rgba(0, 0, 0, 0.4);
}
.weein-wl-whatsapp-chat__form-wrapper .wpcf7 input[type="text"]::-ms-input-placeholder,
.weein-wl-whatsapp-chat__form-wrapper .wpcf7 input[type="email"]::-ms-input-placeholder,
.weein-wl-whatsapp-chat__form-wrapper .wpcf7 input[type="tel"]::-ms-input-placeholder,
.weein-wl-whatsapp-chat__form-wrapper .wpcf7 input[type="url"]::-ms-input-placeholder,
.weein-wl-whatsapp-chat__form-wrapper .wpcf7 input[type="number"]::-ms-input-placeholder,
.weein-wl-whatsapp-chat__form-wrapper .wpcf7 input[type="password"]::-ms-input-placeholder,
.weein-wl-whatsapp-chat__form-wrapper .wpcf7 textarea::-ms-input-placeholder {
    color: rgba(0, 0, 0, 0.4);
}
.weein-wl-whatsapp-chat__form-wrapper .wpcf7 input[type="text"]::placeholder,
.weein-wl-whatsapp-chat__form-wrapper .wpcf7 input[type="email"]::placeholder,
.weein-wl-whatsapp-chat__form-wrapper .wpcf7 input[type="tel"]::placeholder,
.weein-wl-whatsapp-chat__form-wrapper .wpcf7 input[type="url"]::placeholder,
.weein-wl-whatsapp-chat__form-wrapper .wpcf7 input[type="number"]::placeholder,
.weein-wl-whatsapp-chat__form-wrapper .wpcf7 input[type="password"]::placeholder,
.weein-wl-whatsapp-chat__form-wrapper .wpcf7 textarea::placeholder {
    color: rgba(0, 0, 0, 0.4);
}
.weein-wl-whatsapp-chat__form-wrapper .wpcf7 input[type="text"]:focus,
.weein-wl-whatsapp-chat__form-wrapper .wpcf7 input[type="email"]:focus,
.weein-wl-whatsapp-chat__form-wrapper .wpcf7 input[type="tel"]:focus,
.weein-wl-whatsapp-chat__form-wrapper .wpcf7 input[type="url"]:focus,
.weein-wl-whatsapp-chat__form-wrapper .wpcf7 input[type="number"]:focus,
.weein-wl-whatsapp-chat__form-wrapper .wpcf7 input[type="password"]:focus,
.weein-wl-whatsapp-chat__form-wrapper .wpcf7 textarea:focus,
.weein-wl-whatsapp-chat__form-wrapper .wpcf7 select:focus {
    border-color: #0b6156;
}
.weein-wl-whatsapp-chat__form-wrapper .wpcf7 textarea {
    height: 120px;
    min-height: 85px;
    max-height: 350px;
    resize: vertical;
}
.weein-wl-whatsapp-chat__form-wrapper .wpcf7 select:has(option:nth-child(1):checked) {
    font-weight: 400;
    color: rgba(0, 0, 0, 0.4);
}
.weein-wl-whatsapp-chat__form-wrapper .wpcf7 select option:first-child {
    color: rgba(0, 0, 0, 0.4);
}
.weein-wl-whatsapp-chat__form-wrapper .wpcf7 select option {
    color: #121212;
}
.weein-wl-whatsapp-chat__form-wrapper .wpcf7 input[type="submit"] {
    width: 100%;
    margin: 4px 0px;
    padding: 12px;
    border: none;
    background-color: #0b6156;
    font-size: 16px;
    color: #FFF;
    cursor: pointer;
    -webkit-transition: all 200ms;
    -o-transition: all 200ms;
    transition: all 200ms;
}
.weein-wl-whatsapp-chat__form-wrapper .wpcf7 input[type="submit"]:hover {
    background-color: #FFF;
    color: #0b6156;
}
.weein-wl-whatsapp-chat__form-wrapper .wpcf7 .wpcf7-list-item {
    width: 100%;
    margin-left: 0;
    margin-bottom: 4px;
}
.weein-wl-whatsapp-chat__form-wrapper .wpcf7 .wpcf7-acceptance .wpcf7-list-item {
    margin: 8px 0px 0px 0px;
}
.weein-wl-whatsapp-chat__form-wrapper .wpcf7 .wpcf7-spinner {
    position: absolute;
    top: 50%;
    right: 0;
    -webkit-transform: translateY(-50%);
    -ms-transform: translateY(-50%);
    transform: translateY(-50%);
}
.weein-wl-whatsapp-chat__form-wrapper .wpcf7-not-valid-tip {
    margin-top: 4px;
    line-height: 1.3;
    font-size: 14px;
}
.weein-wl-whatsapp-chat__form-wrapper .wpcf7 p {
    position: relative;
    margin-bottom: 6px;
}